summaryrefslogtreecommitdiffstats
path: root/network/nextcloud-desktop/nextcloud-desktop.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/nextcloud-desktop/nextcloud-desktop.SlackBuild')
-rw-r--r--network/nextcloud-desktop/nextcloud-desktop.SlackBuild11
1 files changed, 6 insertions, 5 deletions
diff --git a/network/nextcloud-desktop/nextcloud-desktop.SlackBuild b/network/nextcloud-desktop/nextcloud-desktop.SlackBuild
index 8261881b06..7bd204277b 100644
--- a/network/nextcloud-desktop/nextcloud-desktop.SlackBuild
+++ b/network/nextcloud-desktop/nextcloud-desktop.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Nextcloud Desktop Client
-# Copyright 2022 Andrew Payne <phalange@komputermatrix.com>
+# Copyright 2022-2024 Andrew Payne <phalange@komputermatrix.com>
# Copyright 2017-2018 Rodrigo Gimenez <estrod@zoho.com>, Argentina
# Copyright 2016-2018 Chris Abela <kristofru@gmail.com>, Malta
# Copyright 2013-2016 Christopher Walker Copperas Cove, TX
@@ -29,7 +29,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=nextcloud-desktop
SRCNAM=desktop
-VERSION=${VERSION:-3.5.4}
+VERSION=${VERSION:-3.12.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -42,9 +42,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -97,6 +94,10 @@ cmake \
make
make install DESTDIR=$PKG
+# Strip binaries and libraries
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
# Don't overwrite existing config file:
mv $PKG/etc/Nextcloud/sync-exclude.lst $PKG/etc/Nextcloud/sync-exclude.lst.new